$circle-icon-thickness: .15em;
$circle-icon-size: 18px;
$cross-duration: 300ms;

$circle-green: #10a957;
$circle-blue: #1877b6;
$circle-orange: #ff9d27;

.cta-circle-sticky-container {
  @extend %z_cta-sticky;
  @include transition(transform ($cross-duration / 3) ease-in-out);
  bottom: 20px;
  position: fixed;
  right: 20px;
  text-align: right;

  &+.cta-circle-canvas-overlay {
    @include transition(background-color ($cross-duration / 2) ease-in-out);
    @extend %z_cta-circle-canvas-overlay;
    background-color: rgba($white, 0);
    top: -25%;
    height: 150%;
    left: 0;
    pointer-events: none;
    position: fixed;
    width: 100%;
  }
}

.cta-circle-items {
  flex-flow: column wrap;
  justify-content: flex-end;
  position: relative;
  width: 150px;
}

.cta-circle-item {
  @include font-size(20);
  @include transition(transform ($cross-duration / 3)  ease-in-out);
  align-items: center;
  color: $very-dark-gray;
  display: inline-flex;
  flex-flow: row nowrap;
  font-family: 'DIN Pro Cond', $body-font-family;
  margin: 5px 0;
  position: relative;
  text-transform: uppercase;
  transform: translateX(150px);
}

.cta-circle {
  @include box-shadow(0, 3px, 18px, rgba($black, .4));
  align-items: center;
  background-color: $primary-color;
  border-radius: 100%;
  color: $white;
  display: flex;
  height: 50px;
  justify-content: center;
  position: relative;
  width: 50px;

  a & {
    margin-left: 10px;
  }

  &.green {
    background-color: $circle-green;
  }

  &.blue {
    background-color: $circle-blue;
  }

  &.orange {
    background-color: $circle-orange;
  }
}

.cta-circle-sticky {
  @include transition(transform ($cross-duration) ease-in-out, background-color ($cross-duration / 2) ease-in-out);
  display: flex;
  float: right;
  margin-top: 5px;
  transform-origin: 50% 50%;

  &::after,
  &::before {
    @include transition(background-color ($cross-duration / 2) ease-in-out);
    background-color: $white;
    border-radius: $circle-icon-thickness;
    display: block;
    height: $circle-icon-thickness;
    margin: auto;
    width: $circle-icon-size;
  }

  &::after {
    content: '';
    width: $circle-icon-size;
  }

  &::before {
    color: $white;
    content: '';
    height: $circle-icon-size;
    left: 50%;
    position: absolute;
    top: 16px;
    transform: translateX(-50%);
    width: $circle-icon-thickness;
  }
}

//menu opened state
.circle-open {
  .cta-circle-sticky {
    background-color: $white;
    transform: rotate(-45deg);

    &::after,
    &::before {
      background-color: $primary-color;
    }
  }

  &.cta-circle-sticky-container+.cta-circle-canvas-overlay {
    background-color: rgba($white, .85);
    pointer-events: all;
  }

  .cta-circle-item:nth-of-type(1) {
    @include transition(transform ($cross-duration * 2) ease-in-out);
    transform: translateX(0);
  }

  .cta-circle-item:nth-of-type(2) {
    @include transition(transform ($cross-duration * 1.5) ease-in-out);
    transform: translateX(0);
  }

    .cta-circle-item:nth-of-type(3) {
    @include transition(transform ($cross-duration * 1) ease-in-out);
    transform: translateX(0);
  }
}

.the-bottom-bar ~ .cta-circle-sticky-container {
  @include transition(transform ($cross-duration * 1"") ease-in-out);
  transform: translateY(-50px);
}